<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="cn.iocoder.yudao.module.knowledge.mapper.TBidPlanMapper">

    <resultMap type="cn.iocoder.yudao.module.knowledge.entity.TBidPlan" id="tBidPlanMap">
        <result property="id" column="id"/>
        <result property="tag" column="tag"/>
        <result property="projectName" column="project_name"/>
        <result property="committee" column="committee"/>
        <result property="authorizedStrength" column="authorized_strength"/>
        <result property="audit" column="audit"/>
        <result property="approval" column="approval"/>
        <result property="projectDate" column="project_date"/>
        <result property="auditDate" column="audit_date"/>
        <result property="stampDate" column="stamp_date"/>
        <result property="bidTeam" column="bid_team"/>
        <result property="responsibility" column="responsibility"/>
        <result property="overview" column="overview"/>
        <result property="researchSituation" column="research_situation"/>
        <result property="engineering" column="engineering"/>
        <result property="equipment" column="equipment"/>
        <result property="materials" column="materials"/>
        <result property="service" column="service"/>
        <result property="rests" column="rests"/>
    </resultMap>


    <update id="filling">
        UPDATE t_bid_plan
        SET
            is_filing = '1'
        WHERE id = #{id}
    </update>

</mapper>
